Guru Projemiz İçin Gereksinimler

  1. Projemiz .Net Core 1.0 uygulaması olacak. Bunun için Windows kullanıcıları Visual Studio 2015 Update 3 veya Visual Studio 2017 kullanmaları gerekiyor. Bizim tavsiyemiz birkaç gün önce stabil sürümü çıkan VS 2017 olacaktır. Linux ve MacOS kullanan arkadaşlar için de Visual Studio Code IDE’si yüklü olması gerekiyor. .Net Core ile ilgili bilgi edinmek isteyen arkadaşlar Microsoft’un bu linkinden ulaşabilirler.difference-between-net-framework-and-net-core
  2. Projemize üye olarak eklenmeniz için bizlere github kullanıcı adınızı iletmeniz ve tarafımızdan gelen maili onaylayarak projeye dahil olmalısınız.
  3. Git ve Github için gerekli eklenti ve uygulamaların kurulması gerekiyor. Bir önceki yazımızda belirttiğimiz yönlentirmelerin yapılmasını talep ediyoruz.

 

Bu istenilenler tamamlandıktan sonra uygulamamızın Solution Explorer tarafınızda çalıştırılabiliyor olması lazım. Projede veritabanı olarak RDBMS yani ilişkisel veritabanı değil de MongoDB kullanılacağı için temel bir önbilgi edinmekte fayda var. İlerleyen günlerde bunlarla ilgili ayrıntılı dökümantasyonlar da oluşturulacağından şimdilik buraya girmiyorum. Bu aşamadan sonra projenin buraya kadar oluşan kısmını test edebilir veya tarafınıza atanacak taskları bekleyebilirsiniz.

Mutlu günler.